<div class="full-width full-height container">
  @if (componentData.loadingData) {
    <div class="flex-column">
      <span class="current-workspace-main-color message flex-row">
        {{
          'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.generating-pivot-format-file'
            | translate
        }}
      </span>
      <i
        class="current-workspace-main-color loading-icon flex-row m-t-20 m-auto"
        nz-icon
        nzType="loading"
        nzTheme="outline"
      ></i>
    </div>
  } @else if (
    !componentData.loadingData && !componentData.errors.importFailed
  ) {
    <table class="full-width m-b-10 xray-table" aria-label="Xray import result">
      <thead>
        <tr>
          <th scope="col"></th>
          <th scope="col">
            {{
              'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.generate-pivot.success-entity'
                | translate
            }}
          </th>
          <th scope="col">
            {{
              'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.generate-pivot.warning-entity'
                | translate
            }}
          </th>
          <th scope="col">
            {{
              'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.generate-pivot.failure-entity'
                | translate
            }}
          </th>
        </tr>
      </thead>
      <tbody>
        @for (
          entity of componentData.xrayImportModel.entityCounts;
          track entity.i18nKey
        ) {
          <tr [attr.data-test-row-id]="entity.entityType">
            <th scope="row">{{ entity.i18nKey | translate }}</th>
            <td class="txt-success">
              {{ entity.entitySuccesses }}
            </td>
            <td class="txt-warn">
              {{ entity.entityWarnings }}
            </td>
            <td class="txt-error">
              {{ entity.entityFailures }}
            </td>
          </tr>
        }
      </tbody>
    </table>
    @if (componentData.pivotLogUrl) {
      <a
        [href]="componentData.pivotLogUrl"
        [attr.data-test-link-id]="'xray-report'"
        >{{
          'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.field.download-log'
            | translate
        }}
      </a>
    }
  } @else {
    <sqtm-app-import-from-xray-error-dialog>
      <span class="error-message">
        {{
          'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.generated-failure'
            | translate
        }}
      </span>
    </sqtm-app-import-from-xray-error-dialog>
  }
</div>
